#pragma once

#include <RmlUi/Core.h>
#include <RmlUi/Core/Elements/ElementFormControlInput.h>
#include <RmlUi/Debugger.h>
#include <RmlUi_Backend.h>

namespace UI::ServerBrowser {

class Page {
  public:
    Rml::ElementDocument *document = nullptr;

    void initialize(Rml::Context *context) {
        document = context->LoadDocument("build/assets/ui/pages/server_browser/server_browser.rml");
    }

    void show() {
        document->Show();
    }

    void hide() {
        document->Hide();
    }
};

} // namespace UI::ServerBrowser
